Get External Wallet
GET
https://bank.dattaremit.com/api/external_wallets/{external_wallet_guid}Requires a bank-scoped key.
Retrieves an external_wallet.
Required scope: external_wallets:read
Path Params
external_wallet_guidstringrequiredIdentifier for the external_wallet.
Responses
200External wallet found
401Unauthorized - Authentication failed
403Invalid scope
404ExternalWallet not found
Request
curl https://api.dattaremit.com/api/external_wallets/{external_wallet_guid} \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
External wallet found
{
"guid": "string",
"name": "string",
"asset": "string",
"environment": "string",
"bank_guid": "string",
"customer_guid": "string",
"counterparty_guid": "string",
"address": "string",
"tag": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"state": "string",
"failure_code": "string"
}